## ros-humble-metavision-driver 1.1.7

=== CMakeLists.txt ===
#
# Copyright 2021 Bernd Pfrommer <bernd.pfrommer@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)
project(metavision_driver)

include(FetchContent)

find_package(MetavisionSDK COMPONENTS driver QUIET)

# if metavision sdk is not present, download it into the build directory
set(MUST_INSTALL_METAVISION FALSE)

if(NOT MetavisionSDK_FOUND)
  # must set various variables for OpenEB *before* fetching openEB.
  # CMAKE_ARGS seems to not work for FetchContent_Declare()
  # set(COMPILE_3DVIEW OFF CACHE INTERNAL "Build 3d viewer")
  set(COMPILE_PLAYER OFF CACHE INTERNAL "Build player")
  set(COMPILE_PYTHON3_BINDINGS OFF CACHE INTERNAL "build python3 bindings")
  set(UDEV_RULES_SYSTEM_INSTALL OFF CACHE INTERNAL "install udev rules")

# The following line must have zero indent. It disables the cmake linter
# lint_cmake: -readability/wonkycase
  FetchContent_Declare(
    metavision
    GIT_REPOSITORY https://github.com/ros-event-camera/openeb.git
    GIT_TAG   4.2.0-ros)

  FetchContent_MakeAvailable(metavision)

  # do this to avoid the "install" target being run on the metavision sdk
  if(IS_DIRECTORY "${metavision_SOURCE_DIR}")
    set_property(DIRECTORY ${metavision_SOURCE_DIR} PROPERTY EXCLUDE_FROM_ALL YES)
  endif()

  set(MUST_INSTALL_METAVISION TRUE)
endif()

#
# figure out ROS1 vs ROS2
#
if(DEFINED ENV{ROS_VERSION})
  set(ROS_VERSION "$ENV{ROS_VERSION}")
  message(STATUS "using env variable ROS_VERSION: ${ROS_VERSION}")
else()
  find_package(catkin QUIET)
  if(catkin_FOUND)
    message(STATUS "found catkin package, must be ROS1!")
    set(ROS_VERSION "1")
  else()
    message(STATUS "catkin package not found, must be ROS2!")
    set(ROS_VERSION "2")
  endif()
endif()

if(ROS_VERSION EQUAL "2")
  include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/ROS2.cmake)
elseif(ROS_VERSION EQUAL "1")
  include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/ROS1.cmake)
else()
  message(SEND_ERROR "invalid ROS_VERSION: ${ROS_VERSION}")
endif()

=== debian/changelog ===
ros-humble-metavision-driver (1.1.7-1jammy) jammy; urgency=high

  * Prophesee standard plugins should now be coming with the ROS driver
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Tue, 08 Aug 2023 04:00:00 -0000

ros-humble-metavision-driver (1.1.6-1jammy) jammy; urgency=high

  * see if add_dependencies() is causing trouble
  * resurrected old ROS_VERSION detection scheme
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 07 Aug 2023 04:00:00 -0000

ros-humble-metavision-driver (1.1.5-1jammy) jammy; urgency=high

  * bump minor package number to avoid collisions with rolling

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 07 Aug 2023 04:00:00 -0000

ros-humble-metavision-driver (1.0.4-1jammy) jammy; urgency=high

  * added dependency on hal_plugins to cause metavision plugins to be built
  * remove setting of unnecessary COMPILE_3DVIEW option
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 07 Aug 2023 04:00:00 -0000

ros-humble-metavision-driver (1.0.3-1jammy) jammy; urgency=high

  * changes to build on ROS2 build farm
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 04 Aug 2023 04:00:00 -0000

ros-humble-metavision-driver (1.0.2-1jammy) jammy; urgency=high

  * Try to pull in OpenEB dependencies via package.xml and figure out ROS1/ROS2 via cmake
  * updated links in README
  * Contributors: Bernd Pfrommer, Laurent Bristiel

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 03 Aug 2023 04:00:00 -0000

ros-humble-metavision-driver (1.0.1-1jammy) jammy; urgency=high

  * Change package name from metavision_ros_driver to metavision_driver, and
    all references to event_array_msgs to event_camera_msgs
  * Download and compile OpenEB if not already installed
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-metavision-driver (1.0.0-1jammy) jammy; urgency=high

  * initial commit
  * Contributors: Bernd Pfrommer, k-chaney

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-metavision-driver
Section: misc
Priority: optional
Maintainer: Bernd Pfrommer <bernd.pfrommer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, curl, ffmpeg, git, hdf5-tools, libavcodec-dev, libavformat-dev, libavutil-dev, libboost-all-dev, libcurl4-openssl-dev, libglew-dev, libglfw3-dev, libgtest-dev <!nocheck>, libhdf5-dev, libopencv-dev, libopenscenegraph-dev, libswscale-dev, libusb-1.0-0-dev, openscenegraph, ros-humble-ament-cmake, ros-humble-ament-cmake-auto, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-flake8 <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-pep257 <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-event-camera-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-ros-environment, ros-humble-std-srvs, unzip, wget, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-metavision-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libboost-all-dev, libglew-dev, libglfw3-dev, libhdf5-dev, libopencv-dev, libopenscenegraph-dev, libswscale-dev, libusb-1.0-0-dev, openscenegraph, ros-humble-event-camera-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-std-srvs, ros-humble-ros-workspace
Description: ROS1 and ROS2 drivers for metavision based event cameras

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-metavision-driver//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
